package cn.axzo.workflow.core.common.code;

import cn.axzo.framework.domain.web.code.IModuleRespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 分类响应码
 *
 * @author wangli
 * @since 2023/12/14 16:25
 */
@Getter
@AllArgsConstructor
public enum CategoryRespCode implements IModuleRespCode {
    CATEGORY_VALUE_EXISTS("001", "分类值【{}】已经存在, 请确保其全局唯一"),
    CATEGORY_NAME_EXISTS("002", "当前工作台类型下分类名称【{}】已经存在"),
    CATEGORY_ID_NOT_EXISTS("003", "指定分类ID:【{}】不存在"),
    CATEGORY_CODE_NOT_EXISTS("004", "指定分类CODE:【{}】不存在"),
    CATEGORY_DATA_ERROR("005", "分类数据异常"),
    CATEGORY_CONFIG_EXISTS("006", "分类【{}】的【{}】配置中已存在重复数据"),
    ;

    private String code;
    private String message;

    @Override
    public String getModuleCode() {
        return "01";
    }

    @Override
    public String getProjectCode() {
        return "998";
    }

    public void setCode(String code) {
        this.code = code;
    }


    public void setMessage(String message) {
        this.message = message;
    }

}
